Subject: Re: bug#42411: Bug with M-x compile

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jul 2020 16:55:29 +0300

> Date: Sat, 25 Jul 2020 23:29:09 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>
> 
> > And there could be other situations as well.  I'm not an expert; if we 
> > want to review all the possible use cases, perhaps we should ask Paul 
> > Smith, the GNU Make maintainer, to join this discussion and help us 
> > enumerate the possible cases.
> >
> 
> I'm not an expert either, so yes, please ask Paul Smith for advice on 
> this.  I do think that the way to compute completion candidates should be 
> improved.
> 
> There will always be exceptional cases (for example, for GNU Make, 
> .RECIPEPREFIX with which it is possible to use another prefix character 
> instead of TAB can apparently be used multiple times), but for something 
> like 99.9% cases, a line starting with a TAB is a recipe element and not a 
> target, a line starting with a '#' is a comment, and a line starting with 
> a '.' sets a special variable.  The current regexp correctly excludes the 
> last two, but includes the first one.

Paul, could you please chime in and share your views on this?  If you
want to read the discussion from the beginning, you can find it at

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42411

or, if you prefer to read all of it in your MUA, you can download all
the messages in the mbox format:

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42411;mbox=yes

TIA